Commit d2d837e1 authored by Thomas Goirand's avatar Thomas Goirand

* Error as non-zero in case of an error (Closes: #776216). Thanks to Steve

    McIntyre <steve@einval.com> for the bug report and patch.
parent b11eaac7
......@@ -192,14 +192,16 @@ else
fi
cleanup(){
error=$?
[ ! -d "${MOUNT_DIR}" ] && return
echo
echo "error, umounting $MOUNT_DIR"
echo "error $error, umounting $MOUNT_DIR"
chroot ${MOUNT_DIR} umount /proc || true
chroot ${MOUNT_DIR} umount /sys || true
umount ${MOUNT_DIR}
rmdir ${MOUNT_DIR}
kpartx -d ${AMI_NAME}
exit $error
}
trap "cleanup" EXIT TERM INT
......
......@@ -3,6 +3,8 @@ openstack-debian-images (1.2) unstable; urgency=medium
* Uses 2GB by default as for the image, as 1GB isn't big enough for building
it anymore (Closes: #776217). Thanks to Steve McIntyre <steve@einval.com>
for the bug report.
* Error as non-zero in case of an error (Closes: #776216). Thanks to Steve
McIntyre <steve@einval.com> for the bug report and patch.
-- Thomas Goirand <zigo@debian.org> Mon, 26 Jan 2015 15:14:53 +0100
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment